Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Bug TextMeshPro 3 Deprecated, remove it from Meta XR v59 package

Discussion in 'VR' started by axvr, Nov 21, 2023.

  1. axvr

    axvr

    Joined:
    Aug 8, 2015
    Posts:
    18
    Hello, can you remove TextMeshPro 3 dependecies from Meta XR package?

    TextMeshPro 4 is now built-in and it conflicted with TMP3 on Unity 2023.3alpha

     
    Malintis likes this.
  2. HugoBD-Unity

    HugoBD-Unity

    Unity Technologies

    Joined:
    May 14, 2018
    Posts:
    476
    Hi @axvr!

    Thanks for raising the issue. TMP has been deprecated and merged with the UGUI package in 2023.2+. You can find more info in the following post. It was only discovered recently that the migration caused issues for packages that depended on TextMeshPro itself.

    We are looking into fixing this shortly. Sorry about the inconvenience!
     
    axvr likes this.
  3. axvr

    axvr

    Joined:
    Aug 8, 2015
    Posts:
    18
    Hello, one month and 2023.2.3 and v60 Meta SDK now, still the same error with TMP3.
     
  4. HugoBD-Unity

    HugoBD-Unity

    Unity Technologies

    Joined:
    May 14, 2018
    Posts:
    476
    Hi @axvr,

    The issue has been resolved internally and is currently in the process of being released. It will be included in an upcoming Unity update. There might be a slight delay due to the holidas, but I'll keep you updated as soon as it's available.
     
    JerseyFlymo and axvr like this.
  5. axvr

    axvr

    Joined:
    Aug 8, 2015
    Posts:
    18
    I was very eager to test 2023.2.4 and very disappointed again, same error.
     

    Attached Files:

  6. JerseyFlymo

    JerseyFlymo

    Joined:
    Jun 8, 2017
    Posts:
    15
    This must be affecting every 2023.x Unity developer trying to use the META platform.
     
    axvr and BBIT-SOLUTIONS like this.
  7. DevDunk

    DevDunk

    Joined:
    Feb 13, 2020
    Posts:
    4,847
    Still happens in the Unity 6 beta.
     
  8. Caedes1991

    Caedes1991

    Joined:
    Feb 27, 2019
    Posts:
    1
    Any news?
     
  9. DevDunk

    DevDunk

    Joined:
    Feb 13, 2020
    Posts:
    4,847
    They are still working on it, that's all I got on my bug report
     
  10. BBIT-SOLUTIONS

    BBIT-SOLUTIONS

    Joined:
    Feb 21, 2013
    Posts:
    39
    It could be solved very easily on Meta's side, couldn't it? They just should remove the dependecy and release an extra package (maybe even just a separate one for Unity 2023.1+).
     
  11. DevDunk

    DevDunk

    Joined:
    Feb 13, 2020
    Posts:
    4,847
    Yep, it could definitely be solved on their side as well, but there are a ton of packages and also unity assets with dependancies, so Unity should "just fix it"
     
    BBIT-SOLUTIONS likes this.
  12. Malintis

    Malintis

    Joined:
    Jan 25, 2019
    Posts:
    6
    I was very eager to test 2023.2.5 and very disappointed again, same error.
     
    axvr likes this.
  13. HugoBD-Unity

    HugoBD-Unity

    Unity Technologies

    Joined:
    May 14, 2018
    Posts:
    476
    Hey! Once again, we're sorry about the delays and inconveniences. The issue has been resolved in 2023.2.7f1, which is scheduled for release on January 27th, provided all goes as planned. Additionally, the fix is included in 2023.3.0b2.
     
  14. DevDunk

    DevDunk

    Joined:
    Feb 13, 2020
    Posts:
    4,847
    Owh good to hear! Thanks
     
  15. axvr

    axvr

    Joined:
    Aug 8, 2015
    Posts:
    18
    It has now solved in Unity 2023.2.7 and 2023.3.0b3
     
    BBIT-SOLUTIONS likes this.